Bug 324918 - Open LogViewer on metacontact does not auto select the right contact
Summary: Open LogViewer on metacontact does not auto select the right contact
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: log-viewer (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR minor
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-14 23:23 UTC by David Edmundson
Modified: 2013-09-15 20:50 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Edmundson 2013-09-14 23:23:32 UTC
Right click on a Person (not contact) and click "View logs". It opens with no contact selected.
Comment 1 Daniel Vrátil 2013-09-15 20:50:10 UTC
Git commit 35a766c5708f8e391b1ac7580f51d17da8402c59 by Dan Vrátil.
Committed on 15/09/2013 at 20:49.
Pushed by dvratil into branch 'master'.

Fix opening logs for contact passed via command line

And add support for opening logs via Nepomuk URI

REVIEW: 112739

M  +4    -0    logviewer/dates-model.cpp
M  +3    -0    logviewer/dates-model.h
M  +4    -0    logviewer/entity-filter-model.cpp
M  +22   -10   logviewer/entity-view.cpp
M  +1    -0    logviewer/entity-view.h
M  +28   -1    logviewer/log-viewer.cpp
M  +4    -0    logviewer/log-viewer.h
M  +22   -5    logviewer/person-entity-merge-model.cpp
M  +5    -0    logviewer/person-entity-merge-model.h

http://commits.kde.org/telepathy-text-ui/35a766c5708f8e391b1ac7580f51d17da8402c59